
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>UI 03 UIViewController (视图控制器)的7个方法与视图的跳转 / 憋错料</title>

    <meta name="description" content="UI 03 UIViewController (视图控制器)的7个方法与视图的跳转 新建一个继承于UIViewController 的类 在AppDelegate.m 中写如下代码. //1.创建一个rootViewController对象 RootViewController *rootVC = [[RootViewController alloc]init]; //2.给window设置根视图控制器 self.window.rootViewController = rootVC; [rootVC release]; 在RootViewController.m文件中的代码如下">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">UI 03 UIViewController (视图控制器)的7个方法与视图的跳转</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>新建一个继承于UIViewController 的类</p>
<p>在AppDelegate.m 中写如下代码.</p>
<pre><code> //1.创建一个rootViewController对象
    RootViewController *rootVC = [[RootViewController alloc]init];
    //2.给window设置根视图控制器
    self.window.rootViewController = rootVC;
    [rootVC release];
</code></pre>
<p>在RootViewController.m文件中的代码如下</p>
<pre><code>#import "RootViewController.h"
#define HEIGHT self.view.frame.size.height
#import "SecondViewController.h"
@interface RootViewController ()
@property(nonatomic,retain)NSMutableArray *arr;
@end

@implementation RootViewController
// UIViewController的方法完整有7个,如下:

//1.初始化方法,这个方法一般自己就调用了,不需要我们再额外调用.会初始化一些容器,比如数组,字典等.
- (instancetype)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        self.arr = [NSMutableArray array];
    }
    //打印出当前方法名
    NSLog(@"%s",__FUNCTION__);
    return self;
}

//2.self.view 的加载,什么时候用到什么时候触发方法.
- (void)loadView
{
    [super loadView];
    NSLog(@"%s",__FUNCTION__);
}

#pragma mark 如果想重写父类的方法,首先先用super去调用父类的方法,这样可以保证原功能不变,然后在方法里再写新添加的功能;

//3.前三个方法是同时触发的,一般代码写在这个方法中.
- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor yellowColor];
//      NSLog(@"%s",__FUNCTION__);

   // 视图的跳转:
   **UIButton * button = [UIButton buttonWithType:UIButtonTypeSystem];
    button.frame = CGRectMake(100, 500, 50, 40);
    [button setTitle:@"下一页" forState:UIControlStateNormal];
    [self.view addSubview:button];
    [button addTarget:self action:@selector(click:) forControlEvents:UIControlEventTouchUpInside];
    button.layer.borderWidth = 1;
    button.layer.cornerRadius = 10 ;
    button.backgroundColor = [UIColor cyanColor];**

}

- (void)click:(UIButton *)button
{
    //随机颜色
//    self.view.backgroundColor = [UIColor colorWithRed:arc4random() % 256 / 255.0 green:arc4random() % 256 / 255.0  blue:arc4random() % 256 / 255.0  alpha:1];
    //创建一个secondVC的对象
    SecondViewController *secondVC = [[SecondViewController alloc]init];
    //设置一下跳转的时候动画效果
    [secondVC setModalTransitionStyle:UIModalTransitionStyleCoverVertical];
    //进行跳转
    [self presentViewController:secondVC animated:YES completion:^{

    }];
    //内存管理
    [secondVC release];
}

//4.视图将要出现
#pragma mark 视图将要出现
- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
      NSLog(@"%s",__FUNCTION__);
}
//5.视图已经出现
#warning 这个方法是视图已经出现
- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
      NSLog(@"%s",__FUNCTION__);
}
//6.视图将要消失
- (void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
      NSLog(@"%s",__FUNCTION__);
}
//7.视图已经消失
- (void)viewDidDisappear:(BOOL)animated
{
    [super viewDidDisappear:animated];
      NSLog(@"%s",__FUNCTION__);
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
</code></pre>
<p>下面的代码是在SecondViewController.m 中关于视图的跳回的代码.</p>
<pre><code>#import "SecondViewController.h"

@interface SecondViewController ()

@end

@implementation SecondViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
    UIButton *button = [UIButton buttonWithType:UIButtonTypeSystem];
    button.frame = CGRectMake(100, 100, 100, 100);
    button.layer.borderWidth = 1;
    button.layer.cornerRadius = 10;
    [self.view addSubview:button];
    [button setTitle:@"返回" forState:UIControlStateNormal];
    [button addTarget:self action:@selector(click:) forControlEvents:UIControlEventTouchUpInside];
}

- (void)click:(UIButton *)button
{
    //点击返回到前一个页面
    [self dismissViewControllerAnimated:YES completion:^{

    }];
}
</code></pre>
<p>版权声明：本文为博主原创文章，未经博主允许不得转载。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 12:35:12 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>UI 03 UIViewController (视图控制器)的7个方法与视图的跳转的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MownjDM.html" rel="bookmark">iOS视图控制器编程指南 --- 实现一个容器视图控制器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				容器视图控制器是一种结合多个视图控制器的内容到一个单一的用户界面上的方式.容器视图控制器经常被用来使导航更方便,基于已经存在的内容创建一个新的用户界面类型.例如,在UIKit中的容器视图控制器包括UINavigationcontroller,UITabBarcontroller 和 UISplitViewcontroller,它们都可以使用户界面在不同视图部分之间的切换和导航更加的容易. 设计一个自定义的容器视图控制器 在几乎所有的方面,一个容器视图控制器就像其它任何一个内容视图控制器一样,它管			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmWdxB3.html" rel="bookmark">&lbrack;Xcode10 实际操作&rsqb;三、视图控制器-&lpar;10&rpar;在Storyboard中使用图像视图控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将演示常用的图像视图控件在故事板中的使用. 打开故事板文件[Main.storyboard]点击选择视图控制器的根视图. 点击库图标,打开控件库面板. 在控件库搜索框内,输入控件名称,在控件库中,快速定位目标控件. 然后在标签控件上双击,导入所需的控件. 在图像视图右侧的定界框上按下手指,并向右拖动,以调整标签视图的宽度. 将标签控件向下方拖动一段距离. 然后点击库图标,再次打开控件库面板. 在控件库搜索框内,输入控件名称,在控件库中,快速定位目标控件. 然后在按钮控件上双击,导入所需的控件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41yX9v4.html" rel="bookmark">视图控制器的生命周期方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面死循环分析: - (void)loadView { NSLog(@&quot;%s&quot;,__func__); } - (void)viewDidLoad { [super viewDidLoad]; self.view.backgroundColor = [UIColor redColor]; } 因为loadView里面没有创建视图,到了viewDidLoad里面来访问self.view的时候则会又会调用loadView,如此一来则就造成死循环了 如果loadView里面没有创建视图的话,那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Z0YWVr4.html" rel="bookmark">iOS之浅谈纯代码控制UIViewController视图控制器跳转界面的几种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.最普通的视图控制器UIViewContoller 一个普通的视图控制器一般只有模态跳转的功能(ipad我不了解除外,这里只说iPhone),这个方法是所有视图控制器对象都可以用的,而实现这种功能,有两种方法. 1.通过方法 - (void)presentViewController:(UIViewController *)viewControllerToPresent animated: (BOOL)flag completion:(void (^)(void))completion跳转 相			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWrpbB4.html" rel="bookmark">UI基础&colon;视图控制器&period;屏幕旋转&period;MVC</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UIViewController 视图控制器,继承自UIResponder,作用:管理视图并且响应事件 功能: 1.分担APPdelegate的工作 2.实现模块独立,能提高复用性 创建UIViewController对象: UIViewController *viewController=[[UIViewController alloc]init]; UIViewController 自身带了一个UiView,默认的大小和屏幕大小一样. 每一个window都带有一个根视图,如果不给根视图赋值,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wyYpRM.html" rel="bookmark">视图控制器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				?.?定义视图(label-textField组合视图 LTView) ?定义视图:系统标准UI之外,??组合?出的新的视图. ?定义LTVie━使?了?种设计模式:复合设计模式. 复合设计模式:A类中,使?B类(或者更多类)作为??的成员(实 例变量). iOS新控件往往都是?已有控件组 合?成的. 1.新建一个空模板的工程,将环境配置为MRC,四步走     2.新建一个视图控制器,将此视图控制器指定为window的根视图控制器     3.自定义视图LTView,明确LTView内部的控件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmN8BQ0.html" rel="bookmark">iOS学习之视图控制器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.自定义视图(label-textField组合视图) 1.自定义视图:系统标准UI之外,自己组合出的新的视图. 2.优点:iOS提供了很多UI组件,借助它们我们可以实现不同的功能.尽管如此,实际开发中,我们还需自定义视图.积累自己的代码库,方便开发.自己封装的视图,能像UI空间一样,用于别的项目中,能大大降低开发成本,提高开发效率. 3.高质量代码的特点:可复用,可移植,精炼等.(高内聚,低耦合). 4.自定义视图步骤 根据需求的不同,自定义视图继承的类也有所不同.一般自定义的视图会继承于U			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVgYoj0.html" rel="bookmark">集合视图控制器&lpar;CollectionViewController&rpar; 、 标签控制器&lpar;TabBarController&rpar; 、 高级控件介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1 创建集合视图,设置相关属性以满足要求 1.1 问题 集合视图控制器UIConllectionViewController是一个展示大量数据的控制器,系统默认管理着一个集合视图UICollectionView,功能几乎和UITableViewController差不多,能够以多行多列的形式展示数据. 集合视图UICollectionView继承至UIScrollView,也同tableView一样有两个协议,分别是UICollectionViewDataSource数据源协议和UIColl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoYNOx3.html" rel="bookmark">&lbrack;BS-20&rsqb; 导航控制器和视图控制器在添加控制器的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				导航控制器和视图控制器在添加控制器的区别 1. 因导航控制器拥有导航栈,有一个普通视图控制器都没有的数组viewControllers,加入该数组中的视图控制器默认以push的方式进入导航栈.导航控制器有个[UINavigationController alloc] initWithRootViewController:rootVC]; 的初始化方法,调用该方法相当于把rootVC加入数组viewControllers的第一个位置,作为栈底部的rootVC是不会被pop出去的,与导航控制器共生死			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YglRv4.html" rel="bookmark" class="title">简单的学生管理系统</a>
					<div>
						简单的学生管理系统 一,主要功能: 1,添加学生信息: 2,添加的学生信息显示在线型布局中: 3,把学生信息保存在xml文件中: 4,把保存在mxl中的学生信息取出来解析显示在界面: 二,主要知识点: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R86994.html" rel="bookmark" class="title">快递查询API接口对接方法</a>
					<div>
						各类接口 快递查询API有即时查询和订阅查询两种,即时是请求即返回数据,订阅则是订阅快递单号到接口,有物流轨迹更新则全量返回数据.目前常用的有快递鸟.快递100.快递网等. 快递鸟即时API可以查询3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K2bkYM.html" rel="bookmark" class="title">thread&lowbar;24</a>
					<div>
						#include &lt;stdlib.h&gt; #include &lt;pthread.h&gt; #include &lt;stdio.h&gt; #include &lt;sched.h&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388deZ3.html" rel="bookmark" class="title">iOS笔记【单元格右滑手势】 2017-09-09</a>
					<div>
						// 响应单元格右滑手势 override func tableView(_ tableView: UITableView, editActionsForRowAt indexPath: IndexP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDwvdM.html" rel="bookmark" class="title">JS返回HTML 传递参数</a>
					<div>
						var html=&quot;&lt;a title=\&quot;Remove\&quot; style='cursor:pointer' cdata='&quot; + id + &quot;'  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5J7r3.html" rel="bookmark" class="title">spring 事物管理</a>
					<div>
						1 在spring中支持编程式事物和声明式事务管理,通常使用声明式事物管理,声明式的事物管理是基于aop机制实现的使用很方便. 2 spring支持单一数据库资源的事物管理和跨越多个数据库资源的事物管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qeP13.html" rel="bookmark" class="title">Principles of OO Design</a>
					<div>
						OO的一些基本特性 封装(Encapsulation) 继承(Inheritance) 多态(Polymorphism) 内聚(cohesion) 耦合(coupling) 进行OO设计的5个原则 ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vZ9Xj3.html" rel="bookmark" class="title">概率论 --- Uva 11181 Probability&vert;Given</a>
					<div>
						Uva 11181 Probability|Given Problem's Link:   http://acm.hust.edu.cn/vjudge/problem/viewProblem.acti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQK2y4.html" rel="bookmark" class="title">android ProgressDialog 正在载&period;&period;&period;Loading&period;&period;&period;</a>
					<div>
						1 final ProgressDialog pd = new ProgressDialog(mContext); 2 pd.setMessage(&quot;正在加载...&quot;); 3 pd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDrNJn3.html" rel="bookmark" class="title">【VMCloud云平台】私有云门户第一朵MYSQL云</a>
					<div>
						完成WAP VM云.Web云.MSSQL之后,我们可以来折腾下数据库云,Azure支持很多种数据库,其中对Mysql与MSSQL支持最好,本篇来介绍下如何搭建MSSQL云.. 本篇涉及服务器如下图(紫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV7bVx0.html" rel="bookmark" class="title">python3中encode和decode的一些基本用法</a>
					<div>
						python3中encode和decode跟python2还是有一定的区别的,在python3中: encode(编码):按照某种规则将&quot;文本&quot;转换为&quot;字节流&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGRrNV4.html" rel="bookmark" class="title">大根堆pop push详细注释</a>
					<div>
						//大根堆procedure push(x:longint);//元素x入堆 O(log t)var  tx,i:longint;begin  inc(t);//堆顶top加1  a[t]:=x;// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pLXEK4.html" rel="bookmark" class="title">&sol;etc&sol;fstab文件出错&comma;无法进入Linux系统</a>
					<div>
						问题描述 今天复习Linux文件系统管理,在Linux系统上挂载了一块新硬盘之后,然后分区,格式化,一步步走下来,为了能够使该硬盘在系统启动时自动挂载,于是将之写入了/etc/fstab文件,然而在r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vBRbX3.html" rel="bookmark" class="title">silverlight控件阴影效果示例</a>
					<div>
						&lt;ScrollViewer MaxHeight=&quot;400&quot; VerticalScrollBarVisibility=&quot;Auto&quot; HorizontalSc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qGX5DM.html" rel="bookmark" class="title">&lbrack;转&rsqb; 深入探究 String 与 StringBuilder 内部原理</a>
					<div>
						转自:深入探究 String 与 StringBuilder 内部原理 System.String 类型一直是我们不断讨论的话题,它是一个用于对字符串进行存储和操作的这么一个类型. System.St ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l1bxo3.html" rel="bookmark" class="title">asp&period;net结合uploadify实现多附件上传</a>
					<div>
						1.说明 uploadify是一款优秀jQuery插件,主要功能是批量上传文件.大多数同学对多附件上传感到棘手,现将asp.net结合uploadfiy如何实现批量上传附件给大家讲解一下,有什么不对的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xApEr3.html" rel="bookmark" class="title">&lowbar;&lowbar;cdecl、&lowbar;stdcall、&lowbar;fastcall、&lowbar;thiscall</a>
					<div>
						1. 介绍 __cdecl 是C Declaration的缩写(declaration,声明),表示C语言默认的函数调用方法:所有参数从右到左依次入栈,这些参数由调用者清除,称为手动清栈.被调用函数不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35Pe9E0.html" rel="bookmark" class="title">win7 64bit 安装tensorflow 小随笔</a>
					<div>
						第一次写博客,主要记录下安装深度学习框架(tensorflow),装好了很简单(一句话),开始我以为很麻烦,没有N卡,不知道如何入手.好了,言归正传. 我一般喜欢喜欢eclipse的pydev(个人感 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGeX6a3.html" rel="bookmark" class="title">合并字符串问题</a>
					<div>
						Do you know how many fools have sacrificed everything in pursuit to be a Neverdie?As a matter of fac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49OBr10.html" rel="bookmark" class="title">Java Mybatis Plugin插件实现分表路由规则</a>
					<div>
						Mybatis Plugin插件种类 mybatis支持对于Executor.StatementHandler.PameterHandler.ResultSetHandler做拦截.要想通过拦截器做分 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.044 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
